Operations - List

Mencantumkan semua operasi REST API yang tersedia dari penyedia Microsoft.Search.

GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2023-11-01

Parameter URI

Nama Dalam Diperlukan Jenis Deskripsi
api-version
query True

string

Versi API yang akan digunakan untuk setiap permintaan.

Respons

Nama Jenis Deskripsi
200 OK

OperationListResult

Sukses. Respons menjelaskan daftar operasi.

Other Status Codes

CloudError

API Operasi gagal.

Keamanan

azure_auth

Alur otorisasi Microsoft Entra ID OAuth2.

Jenis: oauth2
Alur: implicit
URL Otorisasi: https://login.microsoftonline.com/common/oauth2/authorize

Cakupan

Nama Deskripsi
user_impersonation meniru akun pengguna Anda

Contoh

OperationsList

Permintaan sampel

GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2023-11-01

Respon sampel

{
  "value": [
    {
      "name": "Microsoft.Search/operations/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "List all available operations",
        "description": "Lists all of the available operations of the Microsoft.Search provider."
      }
    },
    {
      "name": "Microsoft.Search/register/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Register the Search Resource Provider",
        "description": "Registers the subscription for the search resource provider and enables the creation of search services."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Set Search Service",
        "description": "Creates or updates the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Get Search Service",
        "description": "Reads the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Delete Search Service",
        "description": "Deletes the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/start/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Start Search Service",
        "description": "Starts the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/stop/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Stop Search Service",
        "description": "Stops the search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/listAdminKeys/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Get Admin Key",
        "description": "Reads the admin keys."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/regenerateAdminKey/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Regenerate Admin Key",
        "description": "Regenerates the admin key."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/listQueryKeys/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "API Keys",
        "operation": "Get Query Keys",
        "description": "Returns the list of query API keys for the given Azure Search service."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/createQueryKey/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Search Services",
        "operation": "Create Query Key",
        "description": "Creates the query key."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/deleteQueryKey/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "API Keys",
        "operation": "Delete Query Key",
        "description": "Deletes the query key."
      }
    },
    {
      "name": "Microsoft.Search/checkNameAvailability/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Service Name Availability",
        "operation": "Check Service Name Availability",
        "description": "Checks availability of the service name."
      }
    },
    {
      "name": "Microsoft.Search/searchServices/diagnosticSettings/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Diagnostic Settings",
        "operation": "Get Diagnostic Setting",
        "description": "Gets the diganostic setting read for the resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/diagnosticSettings/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Diagnostic Settings",
        "operation": "Set Diagnostic Setting",
        "description": "Creates or updates the diganostic setting for the resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/metricDefinitions/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "The metric definitions for the search service",
        "operation": "Read search service metric definitions",
        "description": "Gets the available metrics for the search service"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/logDefinitions/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "The log definition for the search service",
        "operation": "Read search service log definitions",
        "description": "Gets the available logs for the search service"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/validate/action",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy",
        "operation": "Validate Private Endpoint Connection Proxy",
        "description": "Validates a private endpoint connection create call from NRP side"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy",
        "operation": "Create Private Endpoint Connection Proxy",
        "description": "Creates a private endpoint connection proxy with the specified parameters or updates the properties or tags for the specified private endpoint connection proxy"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy",
        "operation": "Get Private Endpoint Connection Proxy",
        "description": "Returns the list of private endpoint connection proxies or gets the properties for the specified private endpoint connection proxy"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection Proxy",
        "operation": "Delete Private Endpoint Connection Proxy",
        "description": "Deletes an existing private endpoint connection proxy"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnections/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection",
        "operation": "Create Private Endpoint Connection",
        "description": "Creates a private endpoint connections with the specified parameters or updates the properties or tags for the specified private endpoint connections"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnections/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection",
        "operation": "Get Private Endpoint Connection",
        "description": "Returns the list of private endpoint connections or gets the properties for the specified private endpoint connections"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/privateEndpointConnections/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Private Endpoint Connection",
        "operation": "Delete Private Endpoint Connection",
        "description": "Deletes an existing private endpoint connections"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/write",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource",
        "operation": "Create Shared Private Link Resource",
        "description": "Creates a new shared private link resource with the specified parameters or updates the properties for the specified shared private link resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource",
        "operation": "Get Shared Private Link Resource",
        "description": "Returns the list of shared private link resources or gets the properties for the specified shared private link resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/delete",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource",
        "operation": "Delete Shared Private Link Resource",
        "description": "Deletes an existing shared private link resource"
      }
    },
    {
      "name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/operationStatuses/read",
      "display": {
        "provider": "Microsoft Search",
        "resource": "Shared Private Link Resource",
        "operation": "Get Operation Status",
        "description": "Get the details of a long running shared private link resource operation"
      }
    }
  ]
}

Definisi

Nama Deskripsi
CloudError

Berisi informasi tentang kesalahan API.

CloudErrorBody

Menjelaskan kesalahan API tertentu dengan kode kesalahan dan pesan.

Display

Objek yang menjelaskan operasi.

Operation

Menjelaskan operasi REST API.

OperationListResult

Hasil permintaan untuk mencantumkan operasi REST API. Ini berisi daftar operasi dan URL untuk mendapatkan serangkaian hasil berikutnya.

CloudError

Berisi informasi tentang kesalahan API.

Nama Jenis Deskripsi
error

CloudErrorBody

Menjelaskan kesalahan API tertentu dengan kode kesalahan dan pesan.

CloudErrorBody

Menjelaskan kesalahan API tertentu dengan kode kesalahan dan pesan.

Nama Jenis Deskripsi
code

string

Kode kesalahan yang menjelaskan kondisi kesalahan lebih tepat daripada kode status HTTP. Dapat digunakan untuk menangani kasus kesalahan tertentu secara terprogram.

details

CloudErrorBody[]

Berisi kesalahan berlapis yang terkait dengan kesalahan ini.

message

string

Pesan yang menjelaskan kesalahan secara rinci dan menyediakan informasi penelusuran kesalahan.

target

string

Target kesalahan tertentu (misalnya, nama properti dalam kesalahan).

Display

Objek yang menjelaskan operasi.

Nama Jenis Deskripsi
description

string

Nama operasi yang ramah.

operation

string

Jenis operasi: baca, tulis, hapus, listKeys/action, dll.

provider

string

Nama yang mudah diingat dari penyedia sumber daya.

resource

string

Jenis sumber daya tempat operasi dilakukan.

Operation

Menjelaskan operasi REST API.

Nama Jenis Deskripsi
display

Display

Objek yang menjelaskan operasi.

name

string

Nama operasi. Nama ini adalah formulir {provider}/{resource}/{operation}.

OperationListResult

Hasil permintaan untuk mencantumkan operasi REST API. Ini berisi daftar operasi dan URL untuk mendapatkan serangkaian hasil berikutnya.

Nama Jenis Deskripsi
nextLink

string

URL untuk mendapatkan kumpulan hasil daftar operasi berikutnya, jika ada.

value

Operation[]

Daftar operasi yang didukung oleh penyedia sumber daya.